Nft API
NFT metadata, ownership, and marketplace data.
Endpoints​
| Method | Path | Description |
|---|---|---|
GET | /api/nft | NFT overview |
GET | /api/nft/{chain}/{contract}/{tokenId} | NFT metadata |
GET | /api/nft/activity/{contract} | NFT collection activity |
GET | /api/nft/azuki | Azuki stats |
GET | /api/nft/bayc | BAYC floor & stats |
GET | /api/nft/blur | Blur stats |
GET | /api/nft/collection/{id} | NFT collection details |
GET | /api/nft/collections | Top NFT collections |
GET | /api/nft/lending | NFT lending protocols |
GET | /api/nft/lending/arcade | Arcade NFT lending |
GET | /api/nft/lending/bend | BendDAO NFT lending |
GET | /api/nft/lending/nftfi | NFTfi lending |
GET | /api/nft/looksrare | LooksRare stats |
GET | /api/nft/magiceden | Magic Eden stats |
GET | /api/nft/marketplaces | NFT marketplaces |
GET | /api/nft/opensea | OpenSea stats |
GET | /api/nft/pudgy | Pudgy Penguins stats |
GET | /api/nft/punks | CryptoPunks stats |
GET | /api/nft/rarible | Rarible stats |
GET | /api/nft/rarity/{contract}/{tokenId} | NFT rarity score |
GET | /api/nft/trending | Trending NFT collections |
GET | /api/nft/volume | NFT market volume |
GET | /api/nft/x2y2 | X2Y2 stats |
GET | /api/trending/nfts | Trending NFTs |
Quick Start​
# Example: /api/nft
curl -s "https://api.web3identity.com/api/nft" | jq